Class JobsClient
Supports all classes in the .NET class hierarchy and provides low-level services to derived classes. This is the ultimate base class of all .NET classes; it is the root of the type hierarchy.
public class JobsClient : IJobsClient
- Inheritance
-
JobsClient
- Implements
- Inherited Members
Methods
CancelJob(Guid)
Cancels the specified job.
public HttpResponseMessage CancelJob(Guid jobId)
Parameters
jobIdGuid
Returns
CancelJobAsync(Guid, CancellationToken)
Cancels the specified job.
public Task<HttpResponseMessage> CancelJobAsync(Guid jobId, CancellationToken cancellationToken = default)
Parameters
jobIdGuidcancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
ClearCache(string, DateTime, DateTime)
Clears the aggregation data cache for the specified period of time.
public Job ClearCache(string catalogId, DateTime begin, DateTime end)
Parameters
catalogIdstringThe catalog identifier.
beginDateTimeStart date/time.
endDateTimeEnd date/time.
Returns
ClearCacheAsync(string, DateTime, DateTime, CancellationToken)
Clears the aggregation data cache for the specified period of time.
public Task<Job> ClearCacheAsync(string catalogId, DateTime begin, DateTime end, CancellationToken cancellationToken = default)
Parameters
catalogIdstringThe catalog identifier.
beginDateTimeStart date/time.
endDateTimeEnd date/time.
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
Export(ExportParameters)
Creates a new export job.
public Job Export(ExportParameters parameters)
Parameters
parametersExportParametersExport parameters.
Returns
ExportAsync(ExportParameters, CancellationToken)
Creates a new export job.
public Task<Job> ExportAsync(ExportParameters parameters, CancellationToken cancellationToken = default)
Parameters
parametersExportParametersExport parameters.
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
GetJobStatus(Guid)
Gets the status of the specified job.
public JobStatus GetJobStatus(Guid jobId)
Parameters
jobIdGuid
Returns
GetJobStatusAsync(Guid, CancellationToken)
Gets the status of the specified job.
public Task<JobStatus> GetJobStatusAsync(Guid jobId, CancellationToken cancellationToken = default)
Parameters
jobIdGuidcancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
GetJobs()
Gets a list of jobs.
public IReadOnlyList<Job> GetJobs()
Returns
GetJobsAsync(CancellationToken)
Gets a list of jobs.
public Task<IReadOnlyList<Job>> GetJobsAsync(CancellationToken cancellationToken = default)
Parameters
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
RefreshDatabase()
Creates a new job which reloads all extensions and resets the resource catalog.
public Job RefreshDatabase()
Returns
RefreshDatabaseAsync(CancellationToken)
Creates a new job which reloads all extensions and resets the resource catalog.
public Task<Job> RefreshDatabaseAsync(CancellationToken cancellationToken = default)
Parameters
cancellationTokenCancellationTokenThe token to cancel the current operation.
Returns
SyncGit(GitSyncRequest)
Creates a new Git synchronization job.
public Job SyncGit(GitSyncRequest parameters)
Parameters
parametersGitSyncRequest
Returns
SyncGitAsync(GitSyncRequest, CancellationToken)
Creates a new Git synchronization job.
public Task<Job> SyncGitAsync(GitSyncRequest parameters, CancellationToken cancellationToken = default)
Parameters
parametersGitSyncRequestcancellationTokenCancellationTokenThe token to cancel the current operation.